<?php
/**
* Plugin Name: Appointment Scheduler
* Version: 1.0.14
* Description: Appointment Scheduler adds a booking system to WordPress blog website and allow you & your customers to book online appointments according to service that needs to be scheduled by date and time.
* Author: Weblizar
* Author URI: https://weblizar.com/
* Plugin URI: https://weblizar.com/
*/

// System Constant
define("WEBLIZAR_A_P_SYSTEM", plugin_dir_url(__FILE__));
define('WL_A_P_SYSTEM', 'WL_A_P_SYSTEM');

// Load plugin language
add_action('plugins_loaded', 'ASP_LoadTranslation');
function ASP_LoadTranslation() {
	load_plugin_textdomain(WL_A_P_SYSTEM, FALSE, dirname( plugin_basename(__FILE__)).'/languages/' );
}

// On activation create system database
register_activation_hook( __FILE__, 'Ap_InstallScript_function');
function Ap_InstallScript_function() {
	include('install-script.php');
}

//create appointment-system-menu
add_action( 'admin_menu', 'add_appointment_custom_menu' );
function add_appointment_custom_menu()  {	
	add_menu_page('Appointment Scheduler','Appointment Scheduler','manage_options','ap_system','open_main_page','dashicons-calendar','10');
}

// Add settings link on plugin page
function as_settings_link($links, $as_plugin_file) {
	static $as_plugin_name;
	if (!isset($as_plugin_name))
		$as_plugin_name = plugin_basename(__FILE__); 
	if ($as_plugin_name == $as_plugin_file) {
		$as_settings_link = array('Settings' => '<a href="admin.php?page=ap_system">' . __('Settings', 'General') . '</a>');
		$as_pro_link = array('Get Pro' => '<a href="https://weblizar.com/plugins/appointment-scheduler-pro/" target="_blank">Get Pro</a>');
		$links = array_merge($as_settings_link, $links);
		$links = array_merge($as_pro_link, $links);
	}
	return $links;
}
add_filter( 'plugin_action_links', 'as_settings_link', 10, 5 );

//admin dashboard
function open_main_page() {
	include("admin/main_page.php");
	wp_enqueue_style('ap_bootstrap_min',WEBLIZAR_A_P_SYSTEM.'/bootstrap/css/bootstrap.min.css' , array() ,true);
	wp_enqueue_style('ap_dataTables_bootstrap',WEBLIZAR_A_P_SYSTEM.'/css/dataTables.bootstrap.min.css' , array() ,true);
	wp_enqueue_style('ap_bootstrap-table',WEBLIZAR_A_P_SYSTEM.'/css/bootstrap-table.css' , array() ,true);
	wp_enqueue_style('ap_font_awesome',WEBLIZAR_A_P_SYSTEM.'/css/font-awesome.min.css' , array() ,true);
	wp_enqueue_style('ap_animate_css',WEBLIZAR_A_P_SYSTEM.'/css/animate.css' , array() ,true);
	wp_enqueue_style('ap_animate',WEBLIZAR_A_P_SYSTEM.'/css/animate.min.css' , array() ,true);
	wp_enqueue_style('ap_icon_picker',WEBLIZAR_A_P_SYSTEM.'/css/icon-picker.css' , array() ,true);
	wp_enqueue_style('ap_genericons_css',WEBLIZAR_A_P_SYSTEM.'/css/genericons.css' , array() ,true);
	wp_enqueue_style('ap_style',WEBLIZAR_A_P_SYSTEM.'/css/ap_style.css' , array() ,true);
	wp_enqueue_style('ap_style_css_2',WEBLIZAR_A_P_SYSTEM.'/css/style_2.css' , array() ,true);
	wp_enqueue_style('responsive_dataTables',WEBLIZAR_A_P_SYSTEM.'/css/responsive.dataTables.min.css' , array() ,true);
	
	wp_enqueue_style('cal_themes',WEBLIZAR_A_P_SYSTEM.'/calender/jquery-ui.min.css' , array() ,true);
	wp_enqueue_style('fullcalendarcss',WEBLIZAR_A_P_SYSTEM.'calender/fullcalendar.css' , array() ,true);
	wp_enqueue_script('moment_min_js', WEBLIZAR_A_P_SYSTEM.'/calender/moment_min.js', true );
	wp_enqueue_script('jquery_ui_custom_min', WEBLIZAR_A_P_SYSTEM.'/calender/jquery_ui_custom_min.js', true );
	wp_enqueue_script('fullcalendar_min', WEBLIZAR_A_P_SYSTEM.'/calender/fullcalendar_min.js', true );
	wp_enqueue_style('bootstrap-year-calendar_css',WEBLIZAR_A_P_SYSTEM.'/calender/bootstrap-year-calendar.css' , array() ,true);
	wp_enqueue_script('bootstrap-year-calendar_js', WEBLIZAR_A_P_SYSTEM.'/calender/bootstrap-year-calendar.js', true );
	wp_enqueue_script('date_picker_js', WEBLIZAR_A_P_SYSTEM .'js/date_picker.js', array('jquery'));
	wp_enqueue_script('custom_script_js', WEBLIZAR_A_P_SYSTEM.'/js/custom-script.js', array('jquery') );
	
	wp_enqueue_script('jquery');
	wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');
	wp_enqueue_script('ap_upload_media_widget', WEBLIZAR_A_P_SYSTEM .'js/upload-media.js', array('jquery'));
	wp_enqueue_style('thickbox');
	wp_enqueue_script('ap_bootstrap_js', WEBLIZAR_A_P_SYSTEM.'/bootstrap/js/bootstrap.min.js', array('jquery'));
	wp_enqueue_script('ap_dataTables_min', WEBLIZAR_A_P_SYSTEM.'/js/jquery.dataTables.min.js', array('jquery') );
	wp_enqueue_style('data_table_css',WEBLIZAR_A_P_SYSTEM.'/css/jquery.dataTables.min.css', array() ,true);
	wp_enqueue_script('ap_bootstrap_js', WEBLIZAR_A_P_SYSTEM.'/js/dataTables.bootstrap.min.js', array('jquery') );
	wp_enqueue_script('ap_bootstrap_table', WEBLIZAR_A_P_SYSTEM.'/js/bootstrap-table.js', array('jquery'));
	wp_enqueue_script('ap_icon_picker_js', WEBLIZAR_A_P_SYSTEM.'/js/icon-picker.js', array('jquery') );
	wp_enqueue_script('ap_fullcalendar_min_js', WEBLIZAR_A_P_SYSTEM.'/js/fullcalendar.min.js', array('jquery') );
	wp_enqueue_style( 'wp-color-picker' );
	wp_enqueue_script( 'wp-color-picker' );	
	
	wp_enqueue_script('ap_jquery_flot', WEBLIZAR_A_P_SYSTEM.'/js/jquery.flot.js', array('jquery') );
	wp_enqueue_script('ap_jquery_knob', WEBLIZAR_A_P_SYSTEM.'/js/jquery.knob.modified.js', array('jquery') );
	wp_enqueue_script('ap_jquery_sparkline', WEBLIZAR_A_P_SYSTEM.'/js/jquery.sparkline.min.js', array('jquery') );
	wp_enqueue_script('ap_counter_js', WEBLIZAR_A_P_SYSTEM.'/js/counter.js', array('jquery') );
	wp_enqueue_script('ap_custom_custom_js', WEBLIZAR_A_P_SYSTEM.'/js/custom.js', array('jquery') );
	wp_enqueue_script('dataTables_responsive', WEBLIZAR_A_P_SYSTEM.'/js/dataTables.responsive.min.js', array('jquery') );
	
	wp_enqueue_style('ap_tel_css',WEBLIZAR_A_P_SYSTEM.'js/contact/intlTelInput.css' , array() ,true);
	wp_enqueue_script('ap_tel_js', WEBLIZAR_A_P_SYSTEM.'/js/contact/intlTelInput.js', array('jquery') );
	wp_enqueue_script('data-table-js', WEBLIZAR_A_P_SYSTEM.'/js/jquery.dataTables.min.js', true );
	wp_enqueue_script('jquery.flot.pie-js', WEBLIZAR_A_P_SYSTEM.'/js/jquery.flot.pie.js', true );
	wp_enqueue_style('font_family_css',WEBLIZAR_A_P_SYSTEM.'/css/googleapis.css' , array() ,true);
	wp_enqueue_style('ap_style_css',WEBLIZAR_A_P_SYSTEM.'/css/style.css' , array() ,true);
	wp_enqueue_style('ap_media_screen',WEBLIZAR_A_P_SYSTEM.'/css/media-screen.css' , array() ,true);
	wp_enqueue_script('notify_js', WEBLIZAR_A_P_SYSTEM.'/js/alertbox/notify.js', array('jquery') );
	wp_enqueue_style('alert_css',WEBLIZAR_A_P_SYSTEM.'js/alertbox/notify.css' , array() ,true);
	wp_enqueue_script('confirmation_js', WEBLIZAR_A_P_SYSTEM.'/js/confirmation/jquery-confirm.min.js', true );
	wp_enqueue_style('confirmation_css',WEBLIZAR_A_P_SYSTEM.'/js/confirmation/jquery-confirm.min.css' , array() ,true);
	wp_enqueue_script('multidatespicker_js', WEBLIZAR_A_P_SYSTEM.'/js/multidatespicker/jquery-ui.multidatespicker.js', true );
	wp_enqueue_style('ap_multiselect_css',WEBLIZAR_A_P_SYSTEM.'js/multi-select/jquery.multiselect.css' , array() ,true);
	wp_enqueue_script('ap_multiselect_js', WEBLIZAR_A_P_SYSTEM.'/js/multi-select/jquery.multiselect.js', array('jquery'),true );
	wp_enqueue_style('clockpicker_css',WEBLIZAR_A_P_SYSTEM.'/js/timepicker_assets/clockpicker.css' , array() ,true);
	wp_enqueue_script('clockpicker_js', WEBLIZAR_A_P_SYSTEM.'/js/timepicker_assets/clockpicker.js', array('jquery'),true );
	wp_enqueue_style('preloader_css',WEBLIZAR_A_P_SYSTEM.'js/preloader/examples.css' , array() ,true);
	wp_enqueue_script('preloader_js', WEBLIZAR_A_P_SYSTEM.'/js/preloader/jquery.preloader.min.js', array('jquery'),true );
	wp_enqueue_style('timepicker_css',WEBLIZAR_A_P_SYSTEM.'js/timepicker_assets/wickedpicker.min.css' , array() ,true);
	wp_enqueue_script('timepicker_js', WEBLIZAR_A_P_SYSTEM.'/js/timepicker_assets/wickedpicker.js', array('jquery'),true );
}

// shortcode
function weblizar_ap_plugin_scripts() {
	//js scripts
	wp_enqueue_script('jquery');	
	wp_enqueue_script('confirmation_js', WEBLIZAR_A_P_SYSTEM.'/js/confirmation/jquery-confirm.min.js', true );
	wp_enqueue_style('confirmation_css',WEBLIZAR_A_P_SYSTEM.'/js/confirmation/jquery-confirm.min.css' , array() ,true);
	wp_enqueue_script( 'ajax_custom_script', WEBLIZAR_A_P_SYSTEM. '/shortcode/frontend/js/jquery-migrate-1.4.1.min.js',array('jquery'));
	wp_localize_script( 'ajax_custom_script', 'frontendajax', array( 'ajaxurl' => admin_url( 'admin-ajax.php' )));
	wp_enqueue_script('swiper_js', WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/swiper.min.js', true );
	wp_enqueue_style('media_screen_css',WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/media_screen.css' , array() ,true);
	wp_enqueue_style('swiper_css',WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/swiper.min.css' , array() ,true);
	wp_enqueue_style('font_awesome_css',WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/font-awesome.min.css' , array() ,true);
	wp_enqueue_style('bootstrap_css',WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/bootstrap.css' , array() ,true);
	wp_enqueue_script('bootstrap_js', WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/bootstrap.min.js', true );
	wp_enqueue_script('preloader_js', WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/jquery.preloader.min.js' , array('jquery'), true );
	wp_enqueue_script('date_picker_js', WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/date_picker.js', array('jquery'),true );
	wp_enqueue_style('datepicker_smoothness_css',WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/datepicker_smoothness.css' , array() ,true);
	wp_enqueue_script('notify_js', WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/alertbox/notify.js', true );
	wp_enqueue_style('notify_css',WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/alertbox/notify.css' , array() ,true);
	wp_enqueue_style('examples_css',WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/examples.css' , array() ,true);
	wp_enqueue_style('style_03_css',WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/style_03.css' , array() ,true);
	wp_enqueue_style('media_css',WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/media_screen.css' , array() ,true);
	wp_enqueue_style('ap_tel',WEBLIZAR_A_P_SYSTEM.'shortcode/frontend/contact/intlTelInput.css' , array() ,true);
	wp_enqueue_script('ap_tel', WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/contact/intlTelInput.js', array('jquery') );
	wp_enqueue_script('custom-script_js', WEBLIZAR_A_P_SYSTEM.'/shortcode/frontend/custom-script.js',array('jquery'), true );
}
add_action( 'wp_enqueue_scripts', 'weblizar_ap_plugin_scripts' );

// customer json
function fn_my_ajaxified_dataloader_ajax() {
	include("admin/customer-json.php");
	die();
}
add_action('wp_ajax_fn_my_ajaxified_dataloader_ajax', 'fn_my_ajaxified_dataloader_ajax');
add_action('wp_ajax_nopriv_fn_my_ajaxified_dataloader_ajax', 'fn_my_ajaxified_dataloader_ajax');

//customer_fetch
function customer_fetch_ajax_request() {
	include("admin/customer-fetch.php");
	die();
}
add_action( 'wp_ajax_example_ajax_request', 'customer_fetch_ajax_request' );

function APPT_activation_hook() {
	add_option('APPT_plugin_do_activation_redirect', true);
}
register_activation_hook(__FILE__, 'APPT_activation_hook');

function APPT_activation_redirect() {
	if (get_option('APPT_plugin_do_activation_redirect', false)) {
		delete_option('APPT_plugin_do_activation_redirect');
		if(!isset($_GET['activate-multi'])) {
			wp_redirect("admin.php?page=ap_system");
		}
	}
}
add_action('admin_init', 'APPT_activation_redirect');

// appointment json	
function fn_my_appointment_dataloader_ajax() {
	include("admin/appointment-json.php");
	die();
}
add_action('wp_ajax_fn_my_appointment_dataloader_ajax', 'fn_my_appointment_dataloader_ajax');
add_action('wp_ajax_nopriv_fn_my_appointment_dataloader_ajax', 'fn_my_appointment_dataloader_ajax');

//appointment fetch
function appointment_ajax_request() {
	include("admin/appointment-fetch.php");
	die();
}
add_action( 'wp_ajax_appointment_ajax_request', 'appointment_ajax_request' );

//service fetch 
function service_ajax_request() {
	include("admin/service-ajax.php");
	die();
}
add_action( 'wp_ajax_service_ajax_request', 'service_ajax_request' );

// fullcalender json	
function full_calendar_dataloader_ajax() {
	include("admin/json-events.php");
	die();
}
add_action('wp_ajax_full_calendar_dataloader_ajax', 'full_calendar_dataloader_ajax');

//calendar customer fetch 
function calendar_customer_ajax_request() {
	include("admin/calendar_customer.php");
	die();
}
add_action( 'wp_ajax_calendar_customer_ajax_request', 'calendar_customer_ajax_request' );

//calendar staff fetch 
function calendar_staff_ajax_request() {
	include("admin/calendar_staff.php");
	die();
}
add_action( 'wp_ajax_calendar_staff_ajax_request', 'calendar_staff_ajax_request' );

//calendar service fetch 
function calendar_service_ajax_request() {
	include("admin/calendar_service.php");
	die();
}
add_action( 'wp_ajax_calendar_service_ajax_request', 'calendar_service_ajax_request' );
 
//category fetch on model
function category_fetch_ajax_request() {
	include("admin/category-fetch.php");
	die();
}
add_action( 'wp_ajax_category_fetch_ajax_request', 'category_fetch_ajax_request' );

//holiday json
function holiday_json_ajax_request() {
	include("admin/holiday-json.php");
	die();
}
add_action( 'wp_ajax_holiday_json_ajax_request', 'holiday_json_ajax_request' );

//holiday fetch on model
function holiday_fetch_ajax_request() {
	include("admin/holiday-fetch.php");
	die();
}
add_action( 'wp_ajax_holiday_fetch_ajax_request', 'holiday_fetch_ajax_request' );
 
//dashboard data fecth
function dashboard_fetch_ajax_request() {
	include("admin/dashboard-ajax.php");
	die();
}
add_action( 'wp_ajax_dashboard_fetch_ajax_request', 'dashboard_fetch_ajax_request' ); 
 
//front_end
function time_ajax_request() {
	include("shortcode/time-slot-calculate.php");
	die();
}
add_action( 'wp_ajax_time_ajax_request', 'time_ajax_request' );
add_action( 'wp_ajax_nopriv_time_ajax_request', 'time_ajax_request' );
 
function details_ajax_request() {
	include("shortcode/details.php");
	die();
}
add_action( 'wp_ajax_details_ajax_request', 'details_ajax_request' );
add_action( 'wp_ajax_nopriv_details_ajax_request', 'details_ajax_request' ); 
 
function login_ajax_request() {
	include("shortcode/login.php");
	die();
}
add_action( 'wp_ajax_login_ajax_request', 'login_ajax_request' );
add_action( 'wp_ajax_nopriv_login_ajax_request', 'login_ajax_request' );

function ap_shortcode() {
	include("shortcode/ap_system.php");
}
add_action('init','ap_shortcode');

// set default notificvation messages
register_activation_hook( __FILE__, 'APPOINT_NotificationSettings' );
function APPOINT_NotificationSettings() {
//Notify Admin On Pending Appointment
$admin_pending_subject = "Hi  [ADMIN_NAME]  : New Appointment Scheduled By [CLIENT_NAME] is [APPOINTMENT_STATUS]";
$admin_pending_body = "
Hi Admin,
	
Appointment Details:

Client Name: [CLIENT_NAME]
Client Email: [CLIENT_EMAIL]
Appointment For: [SERVICE_NAME]
Appointment Date: 	[APPOINTMENT_DATE]
Appointment Time: 	[APPOINTMENT_TIME]
Appointment Status: 	[APPOINTMENT_STATUS]

View this appointment at [SITE_URL] dashboard.

Best Regards 
[ADMIN_NAME]
[BLOG_NAME]
[SITE_URL]
";

//Notify Admin On Approved Appointment
$admin_approved_subject = "Hi  [ADMIN_NAME]  : New Appointment Scheduled By [CLIENT_NAME] is [APPOINTMENT_STATUS]";
$admin_approved_body = "
Hi Admin,
	
Appointment Details:

Client Name: [CLIENT_NAME]
Client Email: [CLIENT_EMAIL]
Appointment For: [SERVICE_NAME]
Appointment Date: 	[APPOINTMENT_DATE]
Appointment Time: 	[APPOINTMENT_TIME]
Appointment Status: 	[APPOINTMENT_STATUS]

View this appointment at [SITE_URL] dashboard.

Best Regards 
[ADMIN_NAME]
[BLOG_NAME]
[SITE_URL]
";

//Notify Admin On Cancelled Appointment
$admin_cancel_subject = "Hi  [ADMIN_NAME]  : New Appointment Scheduled By [CLIENT_NAME] is [APPOINTMENT_STATUS]";
$admin_cancel_body = "
Hi Admin,
	
Appointment Details:

Client Name: [CLIENT_NAME]
Client Email: [CLIENT_EMAIL]
Appointment For: [SERVICE_NAME]
Appointment Date: 	[APPOINTMENT_DATE]
Appointment Time: 	[APPOINTMENT_TIME]
Appointment Status: 	[APPOINTMENT_STATUS]

View this appointment at [SITE_URL] dashboard.

Best Regards 
[ADMIN_NAME]
[BLOG_NAME]
[SITE_URL]
";
	
//Notify Client On Pending Appointment
$client_pending_subject = "[BLOG_NAME] : Appointment Status.";
$client_pending_body = "
Hi [CLIENT_NAME],

Your appointment for [SERVICE_NAME] on [APPOINTMENT_DATE] at [APPOINTMENT_TIME] is [APPOINTMENT_STATUS]..

Thank you for scheduling appointment with [BLOG_NAME].

Please Dont forget!!!

Best Regards 
[ADMIN_NAME]
[BLOG_NAME]
[SITE_URL]
";
//Notify Client On Approved Appointment
$client_approved_subject = "[BLOG_NAME] : Appointment Status.";
$client_approved_body = "
Hi [CLIENT_NAME],

Your scheduled appointment for [SERVICE_NAME] on [APPOINTMENT_DATE] from [APPOINTMENT_TIME] has been [APPOINTMENT_STATUS].

Thank you for scheduling appointment with [BLOG_NAME].

Please Dont forget!!!

Best Regards 
[ADMIN_NAME]
[BLOG_NAME]
[SITE_URL]
";
//Notify Client On Cancelled Appointment
$client_cancel_subject = "[BLOG_NAME] : Appointment Status.";
$client_cancel_body = "
Hi [CLIENT_NAME],

Your scheduled appointment for [SERVICE_NAME] on [APPOINTMENT_DATE] from [APPOINTMENT_TIME] has been [APPOINTMENT_STATUS].

Thank you for scheduling appointment with [BLOG_NAME].


Best Regards 
[ADMIN_NAME]
[BLOG_NAME]
[SITE_URL]
";

//Notify Staff On Pending Appointment
$staff_pending_subject = "[BLOG_NAME].: Appointment Status.";
$staff_pending_body = "
Hi [STAFF_NAME],

Your appointment for [SERVICE_NAME] with [CLIENT_NAME] on [APPOINTMENT_DATE] at [APPOINTMENT_TIME] is [APPOINTMENT_STATUS].

Please Dont forget!!!

Best Regards 
[ADMIN_NAME]
[BLOG_NAME]
[SITE_URL]
";

//Notify Staff On Approved Appointment
$staff_approved_subject = "[BLOG_NAME]: Appointment Status.";
$staff_approved_body = "
Hi [STAFF_NAME],

Your appointment for [SERVICE_NAME] with [CLIENT_NAME] on [APPOINTMENT_DATE] at [APPOINTMENT_TIME] has been [APPOINTMENT_STATUS].

Please Dont forget!!!

Best Regards 
[ADMIN_NAME]
[BLOG_NAME]
[SITE_URL]
";
//Notify Staff On Cancelled Appointment
$staff_cancelled_subject = "[ADMIN_NAME]: Appointment Status.";
$staff_cancelled_body = "
Hi [STAFF_NAME],

Your appointment for [SERVICE_NAME] with [CLIENT_NAME] on [APPOINTMENT_DATE] at [APPOINTMENT_TIME] has been [APPOINTMENT_STATUS].

Please Dont forget!!!

Best Regards 
[ADMIN_NAME]
[BLOG_NAME]
[SITE_URL]
";
	
	$admin_email = get_option( 'admin_email' ); 
	$DefaultSettings =  array(
	"emailtype"   		=> 'phpmail',
	"enable"   			=> 'yes',
	"wpemail"   		=> '',
	"phpemail"   		=> $admin_email,
	"hostname"   		=> '',
	"portno"   			=> '',
	"smtpemail"   		=> '',
	"password"   		=> '',
	"send_notification_admin_approved"   			=> 'yes',
	"subject_admin_approved"   						=> $admin_approved_subject,
	"admin_body_approved"   						=> $admin_approved_body,
	"send_notification_admin_pending"   			=> 'yes',
	"subject_admin_pending"   						=> $admin_pending_subject,
	"admin_body_pending"   							=> $admin_pending_body,
	"send_notification_admin_cancelled"   			=> 'yes',
	"subject_admin_cancelled"   					=> $admin_cancel_subject,
	"admin_body_cancelled"   						=> $admin_cancel_body,
	"send_notification_client_approval"   			=> 'yes',
	"subject_notification_client_approval"   		=> $client_approved_subject,
	"body_notification_client_approval"   			=> $client_approved_body,
	"send_notification_client_pending"   			=> 'yes',
	"subject_notification_client_pending"   		=> $client_pending_subject,
	"body_notification_client_pending"   			=> $client_pending_body,
	"send_notification_client_cancel"   			=> 'yes',
	"subject_notification_client_cancel"   			=> $client_cancel_subject,
	"body_notification_client_cancel"   			=> $client_cancel_body,
	"send_notification_staff_approval"   			=> '',
	"subject_notification_staff_approval"   		=> '',
	"body_notification_staff_approval"   			=> '',
	"send_notification_staff_pending"   			=> '',
	"subject_notification_staff_pending"   			=> '',
	"body_notification_staff_pending"   			=> '',
	"send_notification_staff_cancel"   				=> '',
	"subject_notification_staff_cancel"   			=> '',
	"body_notification_staff_cancel"   				=>'',
	);
	add_option("Appoint_notification", $DefaultSettings);
}

// set frontend appointment step by step tips
register_activation_hook( __FILE__, 'Appoint_Service_Tips' );
function Appoint_Service_Tips() {
	
$service_tips = "
<b>Follow The Step:</b></center>

* Select Service.
* Select Appointment Date.
";
	
$DefaultSettings =  $service_tips ;
add_option("service_tips", $DefaultSettings);
}
register_activation_hook( __FILE__, 'Appoint_Time_Tips' );

function Appoint_Time_Tips() {
$time_tips = "
<b>Follow The Step:</b>

* Select Appointment Time.
";	
$DefaultSettings =  $time_tips;
add_option("time_tips", $DefaultSettings);
}

register_activation_hook( __FILE__, 'Appoint_Details_Tips' );
function Appoint_Details_Tips() {
	
$detail_tips = "
<b>Follow The Step:</b>

* Sign-Up If You Are New User. 
* Login If You Are Existing User. 
";
$DefaultSettings =   $detail_tips ;
add_option("details_tips", $DefaultSettings);
}
register_activation_hook( __FILE__, 'Appoint_Confirm_Tips' );
function Appoint_Confirm_Tips() {
$confirm_tips = "
<b>Follow The Step:</b>

* Please Check The Appointment Details
";
$DefaultSettings =   $confirm_tips ;
add_option("confirm_tips", $DefaultSettings);
}
register_activation_hook( __FILE__, 'Appoint_Payment_Tips' );
function Appoint_Payment_Tips() {
$payment_tips = "
<b>Follow The Step:</b>

* Select Payment Method.
";	
$DefaultSettings =   $payment_tips;
add_option("payment_tips", $DefaultSettings);
}
register_activation_hook( __FILE__, 'Appoint_Done_Tips' );
function Appoint_Done_Tips() {
$done_tips = "
<b>BOOKING DONE.</b>
Thank You! Your Booking Is Complete.
";
	
$DefaultSettings =   $done_tips;
add_option("done_tips", $DefaultSettings);
}
?>